//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializelistActiveGameSessionsRequest")
inline fun listActiveGameSessionsRequest(block: gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsRequestKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsRequest =
  gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsRequestKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsRequest.newBuilder()).apply { block() }._build()
object ListActiveGameSessionsRequestKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsRequest.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsRequest.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsRequest = _builder.build()
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsRequest.copy(block: gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsRequestKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsRequest =
  gg.dsepractice.chinese.v1alpha1.ListActiveGameSessionsRequestKt.Dsl._create(this.toBuilder()).apply { block() }._build()

